Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/patchelf: new aport

From: Michael Koloberdin <koloberdin_at_gmail.com>
Date: Sat, 9 Jul 2016 06:39:59 +0000

---
 testing/patchelf/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/patchelf/APKBUILD
diff --git a/testing/patchelf/APKBUILD b/testing/patchelf/APKBUILD
new file mode 100644
index 0000000..735fff3
--- /dev/null
+++ b/testing/patchelf/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor:
+# Maintainer: Michael Koloberdin <koloberdin_at_gmail.com>
+pkgname=patchelf
+pkgver=0.9
+pkgrel=0
+pkgdesc="Small utility to modify the dynamic linker and RPATH of ELF executables"
+url="https://nixos.org/patchelf.html"
+arch="all"
+license="GPL3"
+depends=""
+makedepends="autoconf automake"
+install=""
+subpackages="$pkgname-doc"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/NixOS/patchelf/archive/${pkgver}.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+	cd "$builddir"
+	autoreconf -fiv || return 1
+}
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	make -C tests -j1 check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="69c94a4400e930f938b754d543705eb9  patchelf-0.9.tar.gz"
+sha256sums="cf0693e794229e19edcf2299427b5a352e0f4d4f06f9d3856e30ddb0344d5ce8  patchelf-0.9.tar.gz"
+sha512sums="70e615f2f705f413aab5e3eebe20ffe79743bb92381b10a8faa49f16ca24b0f9bd4095c5644f682ec94d75012ffb1b39837933faa9f3c1f1c41bdc5b9d010a30  patchelf-0.9.tar.gz"
-- 
2.9.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jul 09 2016 - 06:39:59 GMT